
%global meadversion 2.0.8
%global namedversion 2.0.8.Final-redhat-6
%global meadalpha .Final_redhat_6
%global meadrel .1
%global serial 12
%global namedversionrel redhat-6

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-security-xacml}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.8.Final-redhat-6

Name:           %{?scl_prefix}jboss-security-xacml
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss XACML
Group:          Development/Java

%if %with mead
Source100: jboss-xacml-main-2.0.8.Final-redhat-6-scm-sources.zip
Source101: jboss-xacml-main-2.0.8.Final-redhat-6-patches.zip
Source102: jbossxacml-2.0.8.Final-redhat-6-sources.jar
Source103: jbossxacml-2.0.8.Final-redhat-6.pom
Source104: jbossxacml-2.0.8.Final-redhat-6.jar
Source105: jboss-xacml-project-2.0.8.Final-redhat-6.pom
Source106: jboss-xacml-main-2.0.8.Final-redhat-6.pom
Source107: jboss-xacml-main-2.0.8.Final-redhat-6-javadoc.jar
Source108: jboss-xacml-main-2.0.8.Final-redhat-6-project-sources.tar.gz
Source109: jboss-sunxacml-2.0.8.Final-redhat-6.pom
Source110: jboss-sunxacml-2.0.8.Final-redhat-6.jar
Source111: jboss-sunxacml-2.0.8.Final-redhat-6-sources.jar
Source112: jboss-sunxacml-2.0.8.Final-redhat-6-javadoc.jar
Source113: jboss-xacml-2.0.8.Final-redhat-6-javadoc.jar
Source114: jboss-xacml-2.0.8.Final-redhat-6.pom
Source115: jboss-xacml-2.0.8.Final-redhat-6.jar
Source116: jboss-xacml-2.0.8.Final-redhat-6-sources.jar
%endif

License:        ASL 2.0
URL:            http://labs.jboss.org/portal/jbosssecurity/
%if 0
Provides:       %{?scl_prefix}jboss-sunxacml = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}jboss-xacml = %{epoch}:%{version}-%{release}
%endif
Provides:       %{?scl_prefix}jbossxacml = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JBoss Security is a cross cutting project that handles security for the JEMS
projects.

%package -n %{?scl_prefix}jboss-xacml-main
Summary:        JBoss XACML - Aggregator
Group:          Development/Java

Requires:       jboss-xacml-project = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jboss-xacml-main

%package -n %{?scl_prefix}jboss-xacml-project
Summary:        JBoss XACML Build
Group:          Development/Java

%if 0
Requires:       jboss-parent >= 0:16.0.0
%endif

%description -n %{?scl_prefix}jboss-xacml-project
The JBoss XACML Project.

%package -n %{?scl_prefix}jboss-sunxacml
Summary:        JBoss port of sunxacml
Group:          Development/Java

Requires:       jboss-xacml-project = %{epoch}:%{version}-%{release}
Requires:       picketbox-commons >= 0:1.0.0

%description -n %{?scl_prefix}jboss-sunxacml
JBoss XACML Library.

%package -n %{?scl_prefix}jboss-xacml
Summary:        JBoss XACML
Group:          Development/Java

Requires:       jboss-xacml-project = %{epoch}:%{version}-%{release}
Requires:       jboss-sunxacml = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jboss-xacml
JBoss XACML Library.

%package -n %{?scl_prefix}jbossxacml
Summary:        JBoss XACML- Assembly
Group:          Development/Java

Requires:       jboss-xacml-project = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jbossxacml
JBoss XACML.

%if %with javadoc
%package -n %{?scl_prefix}jboss-xacml-main-javadoc
Summary:        Javadoc for jboss-xacml-main
Group:          Development/Java

BuildRequires:  unzip

%description -n %{?scl_prefix}jboss-xacml-main-javadoc
%{summary}.
%endif

%prep
%setup -q -n %{version}.Final -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if 0
%{__cp} -p %{_sourcedir}/jboss-sunxacml-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-sunxacml-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-sunxacml-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-sunxacml-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-sunxacml-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-sunxacml-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-xacml-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-xacml-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-xacml-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-xacml-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-xacml-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-xacml-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/jbossxacml-%{namedversion}.jar %{buildroot}%{_javadir}/jbossxacml-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jbossxacml-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossxacml-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-xacml-main-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-xacml-main-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-xacml-main-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-xacml-main-%{namedversion} %{buildroot}%{_javadocdir}/jboss-xacml-main
%endif

%clean
%{__rm} -rf %{buildroot}

%if 1
%files
%defattr(0644,root,root,0755)
%if 0
%{_javadir}/jboss-sunxacml-%{namedversion}.jar
%{_javadir}/jboss-sunxacml.jar
%if %with javadoc
%{_javadir}/jboss-sunxacml-%{namedversion}-javadoc.jar
%{_javadir}/jboss-sunxacml-javadoc.jar
%endif
%{_javadir}/jboss-sunxacml-%{namedversion}-sources.jar
%{_javadir}/jboss-sunxacml-sources.jar
%{_javadir}/jboss-xacml-%{namedversion}.jar
%{_javadir}/jboss-xacml.jar
%if %with javadoc
%{_javadir}/jboss-xacml-%{namedversion}-javadoc.jar
%{_javadir}/jboss-xacml-javadoc.jar
%endif
%{_javadir}/jboss-xacml-%{namedversion}-sources.jar
%{_javadir}/jboss-xacml-sources.jar
%endif
%{_javadir}/jbossxacml-%{namedversion}.jar
%{_javadir}/jbossxacml.jar
%{_javadir}/jbossxacml-%{namedversion}-sources.jar
%{_javadir}/jbossxacml-sources.jar
%else
%files -n %{?scl_prefix}jboss-xacml-main
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}jboss-xacml-project
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}jboss-sunxacml
%defattr(0644,root,root,0755)
%{_javadir}/jboss-sunxacml-%{namedversion}.jar
%{_javadir}/jboss-sunxacml.jar
%if %with javadoc
%{_javadir}/jboss-sunxacml-%{namedversion}-javadoc.jar
%{_javadir}/jboss-sunxacml-javadoc.jar
%endif
%{_javadir}/jboss-sunxacml-%{namedversion}-sources.jar
%{_javadir}/jboss-sunxacml-sources.jar

%files -n %{?scl_prefix}jboss-xacml
%defattr(0644,root,root,0755)
%{_javadir}/jboss-xacml-%{namedversion}.jar
%{_javadir}/jboss-xacml.jar
%if %with javadoc
%{_javadir}/jboss-xacml-%{namedversion}-javadoc.jar
%{_javadir}/jboss-xacml-javadoc.jar
%endif
%{_javadir}/jboss-xacml-%{namedversion}-sources.jar
%{_javadir}/jboss-xacml-sources.jar

%files -n %{?scl_prefix}jbossxacml
%defattr(0644,root,root,0755)
%{_javadir}/jbossxacml-%{namedversion}.jar
%{_javadir}/jbossxacml.jar
%{_javadir}/jbossxacml-%{namedversion}-sources.jar
%{_javadir}/jbossxacml-sources.jar
%endif

%if %with javadoc
%files -n %{?scl_prefix}jboss-xacml-main-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-xacml-main-%{namedversion}
%{_javadocdir}/jboss-xacml-main
%{_javadir}/jboss-sunxacml-%{namedversion}-javadoc.jar
%{_javadir}/jboss-sunxacml-javadoc.jar
%{_javadir}/jboss-xacml-%{namedversion}-javadoc.jar
%{_javadir}/jboss-xacml-javadoc.jar
%endif

%changelog
* Fri Jul 24 2015 David Walluck <dwalluck@redhat.com> - 2.0.8-12.Final_redhat_6.1
- fix file list

* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 2.0.8-11.Final_redhat_6.1
- fix install

* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 2.0.8-11.Final_redhat_6.1
- add SCL support

* Fri Nov 08 2013 David Walluck <dwalluck@redhat.com> - 2.0.8-8.Final_redhat_4.1
- fix Scm information in MANIFEST.MF of all three jars


* Fri Oct 25 2013 David Walluck <dwalluck@redhat.com> 0:2.0.8.Final-7
- add missing jbossxacml.jar and jbossxacml-sources.jar

* Tue Oct 22 2013 David Walluck <dwalluck@redhat.com> 0:2.0.8.Final-6
- add support for split packages
- fix (optional) javadoc

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.8-5.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:2.0.8-3.Final_redhat_2.2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.8-3.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.8-3.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.8-3.Final_redhat_1
- Remove javadoc subpackage and JAR from the SRPM

* Wed May 02 2012 Lin Gao <lgao@redhat.com> - 0:2.0.8-1.Final_redhat_1
- Upgrade to 2.0.8.Final

* Fri Mar 16 2012 Lin Gao <lgao@redhat.com> - 0:2.0.7-2.Final_redhat_1
- Use new wrapper
- Change jars install path

* Fri Feb 17 2012 Lin Gao <lgao@redhat.com> - 0:2.0.7-1.Final_redhat_1
- Upgrade to 2.0.7.Final
- Remove META-INF from javadoc
- Require jpackage-utils in javadoc

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:2.0.6-3.Final_redhat_1
- Rebuild to use new signing key

* Tue Jan 31 2012 Lin Gao <lgao@redhat.com> - 0:2.0.6-2.Final_redhat_1
- fix pom to use new BOMS
- switch to rhpkg build
- fill spec file for rpm build from mead build
- clean build

* Wed Oct 26 2011 Lin Gao <lgao@redhat.com> - 0:2.0.6-1
- upgrade to 2.0.6.Final

* Wed Aug 24 2011 Lin Gao <lgao@redhat.com> - 0:2.0.5-5
- wolf build

* Thu Aug 4 2011 Lin Gao <lgao@redhat.com> - 0:2.0.5-4
- build with mead

* Fri Dec 10 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.5-3
- Remove R: codehaus-stax11, jaf_1_1_api, jaxb_2_1_api, stax_1_0_api, glassfish-jaxb, servlet_2_5_api, xalan-j2, xerces-j2

* Fri Dec 10 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.5-2
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site-plugin

* Thu Oct 14 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.0.5-1
- Upgrade to 2.0.5
- Change BR: maven-surefire-provider-junit to maven-surefire-provider-junit4, add its depmap entry
- Change BR: junit to junit4, change its depmap entry
- Add BR: hsqldb, add depmap entry

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.4-4.1.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.0.4-4.1
- Rebuild

* Fri Sep 18 2009 David Walluck <dwalluck@redhat.com> 0:2.0.4-4
- properly build and install jbossxacml
- add all sources jars
- install all jars and poms to repolib

* Thu Aug 13 2009 Permaine Cheung <pcheung@redhat.com> 0:2.0.4-3
- Fix component-info.xml

* Thu Aug 13 2009 Permaine Cheung <pcheung@redhat.com> 0:2.0.4-2
- Add sources.jar

* Wed Aug 12 2009 Permaine Cheung <pcheung@redhat.com> 0:2.0.4-1
- Upgrade to 2.0.4
- Fix repodir

* Mon Jul 27 2009 Yong Yang <yyang@redhat.com> 0:2.0.3.SP2-2
- Combine jboss-sunxacml.jar and jboss-xacml.jar to repolib/jbossxacml.jar

* Thu Jul 16 2009 Yong Yang <yyang@redhat.com> 0:2.0.3.SP2-1
- Switch to 2.0.3.SP2

* Mon Jul 13 2009 David Walluck <dwalluck@redhat.com> 0:2.0.3-4
- update (Build)Requires

* Mon Jul 13 2009 David Walluck <dwalluck@redhat.com> 0:2.0.3-3
- fix component-info.xml

* Mon Jul 13 2009 David Walluck <dwalluck@redhat.com> 0:2.0.3-2
- fix sources

* Wed Jul 01 2009 David Walluck <dwalluck@redhat.com> 0:2.0.3-1
- 2.0.3
- add repolib
- use glassfish-jaxb

* Tue Jun 16 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.0.3-0.CR5.1.jpp5
- 2.0.3.CR5 

* Fri Jun 05 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.0.2.1-1.jpp5
- 2.0.2.SP1
